Bug 1577648 - pytest FTBFS on python 3.7
Summary: pytest FTBFS on python 3.7
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pytest
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Thomas Moschny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1559659 1581692
Blocks: PYTHON37
TreeView+ depends on / blocked
 
Reported: 2018-05-13 18:15 UTC by Miro Hrončok
Modified: 2018-06-04 05:56 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-04 05:56:57 UTC
Type: Bug


Attachments (Terms of Use)
build.log from Copr (138.79 KB, text/plain)
2018-05-13 18:15 UTC, Miro Hrončok
no flags Details
Patch for pytest 3.4.2 that gets the job done (1.47 KB, patch)
2018-05-13 23:32 UTC, Miro Hrončok
no flags Details | Diff
build.log from copr (121.39 KB, text/plain)
2018-05-22 15:26 UTC, Miro Hrončok
no flags Details
root.log from copr (38.61 KB, text/plain)
2018-05-22 15:27 UTC, Miro Hrončok
no flags Details

Description Miro Hrončok 2018-05-13 18:15:17 UTC
Created attachment 1435826 [details]
build.log from Copr

pytest testsuite fails on Python 3.7

This has been fixed upstream and we need to update to 3.5.1 or backport this:

https://github.com/pytest-dev/pytest/pull/3355

Comment 1 Miro Hrončok 2018-05-13 23:32:15 UTC
Created attachment 1435979 [details]
Patch for pytest 3.4.2 that gets the job done

Here's a patch for pytest 3.4.2 that gets the job done. I'd rather get pytest updated but if that would turn out problematic, we can always fallback to this patch.

Comment 2 Thomas Moschny 2018-05-19 15:51:21 UTC
Thanks for the patch. I built 3.5.1 for rawhide though.

Comment 3 Miro Hrončok 2018-05-19 17:52:09 UTC
Thanks.

Comment 4 Miro Hrončok 2018-05-22 15:26:57 UTC
Created attachment 1440248 [details]
build.log from copr

So this fails again, because DepracationWarnings.

E           DeprecationWarning: Using or importing the ABCs from 'collections' instead of from 'collections.abc' is deprecated, and in 3.8 it will stop working

Upstream is dealing with it in https://github.com/pytest-dev/pytest/issues/3339

Ie been trying to use -W ignore::DeprecationWarning but it didn't help.

Comment 5 Miro Hrončok 2018-05-22 15:27:30 UTC
Created attachment 1440249 [details]
root.log from copr

Comment 6 Miro Hrončok 2018-05-22 20:26:32 UTC
Upstream fix: https://github.com/pytest-dev/pytest/pull/3497

Comment 7 Thomas Moschny 2018-05-23 07:26:48 UTC
Should we apply that patch or wait for 3.5.2?

Comment 8 Miro Hrončok 2018-05-23 08:52:09 UTC
They want to release 3.6 next week. We can wait. I can use that patch in copr for rebuilds and 3.7 is still blocked by other things.

Comment 9 Thomas Moschny 2018-06-04 05:56:57 UTC
Updated to 3.6.


Note You need to log in before you can comment on or make changes to this bug.